camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Luca Burgazzoli (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-11808) log4j2 2.9 upgrade causes errors in camel-salesforce and others
Date Sat, 23 Sep 2017 12:17:00 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-11808?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16177765#comment-16177765
] 

Luca Burgazzoli commented on CAMEL-11808:
-----------------------------------------

Salesforce maven plugin uses velocity 1.7 which has hard dependency on log4j 1.x API, we should
think to upgrade to velocity 2.0 which uses slf4j or use code generation tools like java poet
or forge roaster (CAMEL-11226).

> log4j2 2.9 upgrade causes errors in camel-salesforce and others
> ---------------------------------------------------------------
>
>                 Key: CAMEL-11808
>                 URL: https://issues.apache.org/jira/browse/CAMEL-11808
>             Project: Camel
>          Issue Type: Task
>          Components: build system
>    Affects Versions: 2.21.0
>            Reporter: Claus Ibsen
>            Priority: Minor
>
> [12:28:26]  <tdiesler>	davsclaus, master build fails with [ERROR] Failed to execute
goal org.apache.maven.plugins:maven-plugin-plugin:3.4:helpmojo (help-goal) on project camel-salesforce-maven-plugin:
Execution help-goal of goal org.apache.maven.plugins:maven-plugin-plugin:3.4:helpmojo failed.
IllegalArgumentException -> [Help 1]



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message